### Method

# Rsvg Handle get_dimensions

deprecated: 2.52. since: 2.14

#### Declaration [src]

    void
    rsvg_handle_get_dimensions (
      RsvgHandle* handle,
      RsvgDimensionData* dimension_data
    )

#### Description [src]

Get the SVG’s size. Do not call from within the size_func callback, because an infinite loop will occur.

This function depends on the `RsvgHandle`‘s DPI to compute dimensions in pixels, so you should call `rsvg_handle_set_dpi()` beforehand.

Available since: 2.14

Deprecated since: 2.52.

Use `rsvg_handle_get_intrinsic_size_in_pixels()` instead. This function is deprecated because it is not able to return exact fractional dimensions, only integer pixels.

#### Parameters

`dimension_data`

  Type: `RsvgDimensionData`

  A place to store the SVG’s size.

  The argument will be set by the function.
  The returned data is owned by the instance.